This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 630102 - Add support for PKCS#8 encoded PEM RSA private key files
Add support for PKCS#8 encoded PEM RSA private key files
Status: CLOSED DUPLICATE of bug 631000
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nss (Show other bugs)
6.1
All Linux
high Severity urgent
: rc
: ---
Assigned To: Elio Maldonado Batiz
BaseOS QE Security Team
:
Depends On: 614532
Blocks: 631000
  Show dependency treegraph
 
Reported: 2010-09-03 13:29 EDT by Elio Maldonado Batiz
Modified: 2010-10-14 17:24 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 614532
Environment:
Last Closed: 2010-10-14 17:24:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Elio Maldonado Batiz 2010-09-03 13:29:22 EDT
+++ This bug was initially created as a clone of Bug #614532 +++

Created attachment 431849 [details]
0001-Add-support-for-PKCS-8-encoded-private-keys.patch

These are PEM files which in ASCII begin with the header

BEGIN PRIVATE KEY

The code already supports PKCS#1 format BEGIN RSA PRIVATE KEY but the openssl req -x509 tool creates private keys with the BEGIN PRIVATE KEY format.

There is a second patch attached - with mock, nss did not build because SEC_SkipTemplate is defined more than once.  Not sure why we don't see this problem with the regular builds, so I don't know if it is needed, but I've attached it anyway.

--- Additional comment from rmeggins@redhat.com on 2010-07-14 13:39:09 EDT ---

Created attachment 431859 [details]
0001-Do-not-define-SEC_SkipTemplate.patch

--- Additional comment from rmeggins@redhat.com on 2010-07-14 13:39:48 EDT ---

Created attachment 431860 [details]
patch for spec file

--- Additional comment from rmeggins@redhat.com on 2010-07-14 13:40:51 EDT ---

I don't know if you want these patches applied to current Fedora versions - the git patch flies should apply cleanly, don't know about the spec file patch.

--- Additional comment from fedora-triage-list@redhat.com on 2010-07-30 08:34:55 EDT ---


This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from rcritten@redhat.com on 2010-08-09 15:47:22 EDT ---

These two patches have been accepted upstream.

--- Additional comment from updates@fedoraproject.org on 2010-08-10 01:35:44 EDT ---

nss-3.12.6-11.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/nss-3.12.6-11.fc14

--- Additional comment from updates@fedoraproject.org on 2010-08-10 22:55:49 EDT ---

nss-3.12.6-11.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nss'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nss-3.12.6-11.fc14

--- Additional comment from updates@fedoraproject.org on 2010-08-11 19:01:03 EDT ---

nss-3.12.6-11.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/nss-3.12.6-11.fc12

--- Additional comment from updates@fedoraproject.org on 2010-08-11 19:01:20 EDT ---

nss-3.12.6-11.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/nss-3.12.6-11.fc13

--- Additional comment from emaldona@redhat.com on 2010-08-13 17:02:17 EDT ---

My bad, I discovered that the nss-pem tar ball uploaded to the look-aside cache has the same contents as the one it was intended to replace. Rather than making and uploading a new tar ball I'll just apply the patches via the spec file. New builds are coming, with Rawhide first.

--- Additional comment from updates@fedoraproject.org on 2010-08-13 17:13:33 EDT ---

nss-3.12.6-11.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nss'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nss-3.12.6-11.fc13

--- Additional comment from updates@fedoraproject.org on 2010-08-15 12:31:43 EDT ---

nss-3.12.6-12.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/nss-3.12.6-12.fc14

--- Additional comment from updates@fedoraproject.org on 2010-08-15 12:36:39 EDT ---

nss-3.12.6-12.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/nss-3.12.6-12.fc13

--- Additional comment from updates@fedoraproject.org on 2010-08-15 12:38:21 EDT ---

nss-3.12.6-12.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/nss-3.12.6-12.fc12

--- Additional comment from updates@fedoraproject.org on 2010-08-19 21:31:15 EDT ---

nss-3.12.6-12.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from updates@fedoraproject.org on 2010-09-02 11:42:13 EDT ---

nss-3.12.7-3.fc14,nss-softokn-3.12.7-3.fc14,nss-util-3.12.7-2.fc14,nspr-4.8.6-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nss-3.12.7-3.fc14,nss-softokn-3.12.7-3.fc14,nss-util-3.12.7-2.fc14,nspr-4.8.6-1.fc14

--- Additional comment from updates@fedoraproject.org on 2010-09-02 16:35:20 EDT ---

nss-3.12.6-12.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Elio Maldonado Batiz 2010-10-14 17:24:49 EDT

*** This bug has been marked as a duplicate of bug 631000 ***

Note You need to log in before you can comment on or make changes to this bug.